﻿using System.Collections.Generic;

namespace HeuristicLab.Problems.ProgramSynthesis {
  using HeuristicLab.Core;

  public interface IReadOnlyErcOptions : IItem {
    double ErcProbability { get; }
    IErcItem<int> IntegerErcOptions { get; }
    IErcItem<double> FloatErcOptions { get; }
    IErcItem<bool> BooleanErcOptions { get; }
    IErcItem<char> CharErcOptions { get; }
    IErcItem<string> StringErcOptions { get; }
    IErcItem<string> NameErcOptions { get; }
    IErcItem<IReadOnlyList<int>> IntegerVectorErcOptions { get; }
    IErcItem<IReadOnlyList<double>> FloatVectorErcOptions { get; }
    IErcItem<IReadOnlyList<string>> StringVectorErcOptions { get; }
  }
}
